freeslot("MT_NSPECCY_SUPERAURA", "S_NSPECCY_SUPERAURA", "SPR_SAUR")
states[S_NSPECCY_SUPERAURA] = {
	sprite = SPR_SAUR,
	frame = FF_ANIMATE,
	tics = -1,
	var1 = 7,
	var2 = 2,
	nextstate = S_NULL
}
mobjinfo[MT_NSPECCY_SUPERAURA].spawnstate = S_NSPECCY_SUPERAURA
mobjinfo[MT_NSPECCY_SUPERAURA].dispoffset = 2
mobjinfo[MT_NSPECCY_SUPERAURA].flags = MF_NOBLOCKMAP|MF_NOCLIP|MF_NOCLIPTHING|MF_NOCLIPHEIGHT

addHook("PlayerThink", function(p)
	if not(p.mo and p.mo.valid) then return end
	if p.mo.skin ~= "speccy" then return end
	if p.mo.health < 1 then return end
	if p.powers[pw_super] then
		if p.superaura and p.superaura.valid then
			p.superaura.fuse = TICRATE
			P_TeleportMove(p.superaura, p.mo.x+p.mo.momx, p.mo.y+p.mo.momy, p.mo.z+p.mo.momz)
			p.superaura.flags2 = p.mo.flags2
			p.superaura.color = p.mo.color
			p.superaura.scale = p.mo.scale+p.mo.scale/8
			p.superaura.momz = 0
			p.superaura.radius = p.mo.radius
			p.superaura.height = p.mo.height
		else
			p.superaura = P_SpawnMobj(p.mo.x, p.mo.y, p.mo.z, MT_NSPECCY_SUPERAURA)
			p.superaura.flags2 = p.mo.flags2
			p.superaura.color = p.mo.color
			p.superaura.scale = p.mo.scale+p.mo.scale/8
			p.superaura.momz = 0
			p.superaura.radius = p.mo.radius
			p.superaura.height = p.mo.height
		end
	else
		if p.superaura and p.superaura.valid then P_RemoveMobj(p.superaura) end
	end
end)